{
	saved_firsttime [1]

	Init[ (s)
	{
		if(saved_firsttime = 1)
		{
			saved_firsttime = 0;
			SetNationality(0);
			PlayAnimation(0);

			SetInvulnerable(true);
		}
	} ]

	DelayReached[ (s)
	{
		if(s=10)
		{
			PlayAnimation(1,1,0); // point over there

			// I can't oh God
			Level.GetPlayer().PlaySound(21,92,true);
		}
		if(s=12)
		{
			// dramatic death
			PlaySound(1);
			PlaySound(7);
			PlayAnimation(2,127,0);
			SetDead(true);
			Delay(1,19);
		}
		if(s=19)
		{
			Moody = Level.GetEntity("moody");
			Medic = Level.GetEntity("medic");
			Moody.TurnToEntity( Medic );
			Delay(2,21);
		}
		if(s=20)
		{
			Moody = Level.GetEntity("moody");
			Moody.PlayAnimation(7);
			Moody.PlaySound(18);
			Moody.Delay(3,1000);

			Level.GetPlayer().SetInvulnerable(false);
		}
		if(s=21)
		{
			Moody = Level.GetEntity("moody");
			Moody.TurnToEntity( Level.GetPlayer() );
			Delay(1,20);
		}
		if(s=22)
		{
			return;
		}
	}]
}